Bug 64200 - Move specification of defaultActions for built-in loaders to layer.xml
Move specification of defaultActions for built-in loaders to layer.xml
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Data Systems
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 64153
  Show dependency treegraph
 
Reported: 2005-09-13 09:33 UTC by pzajac
Modified: 2008-12-22 16:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2005-09-13 09:33:46 UTC
Please do it for 
org.openide.loaders.XMLDataObject
org.openide.loaders.InstanceLoader
org.openide.loaders.DefaultLoader 

For details see issue #64153
Comment 1 Jaroslav Tulach 2005-09-16 07:22:47 UTC
Cau, I am modifying a lot of issues at once, as I think I have something to  
say in general.  
  
In NetBeans API documentation we have few places where we list "layer APIs".  
The most central one is   
http://www.netbeans.org/download/dev/javadoc/layers.html  
This is supposed to help module writers to find information about possible  
folders where it is possible to make their registrations.  
  
I believe that the ability to register actions into menu items of loaders is  
important and shall be documented. That is why please modify your arch*.xml  
documents together with the change in your layers. This is example I put into  
openide/loaders:  
  
<api name="Loaders-folder-any-Actions" category="stable" group="layer"  
type="export" >  
    The actions that the default folder loader shows in its popup menu are  
read from  
    a layer folder <code>Loaders/folder/any/Actions</code>  
    so if any module wishes  
    to extend, hide or reorder some of them it can just register its actions  
there.  
</api>   
  
Possible problem is that you have to modify an arch*.xml of a module which 
provides a javadoc, otherwise it will not be listed in the docs page. If you 
have such module, please modify its arch*.xml, otherwise modify your own 
arch*.xml, in future we can process it, even if it does not have javadoc at 
all. 
 
Thanks for helping to improve our developers documentation. 
  
Comment 2 Jaroslav Tulach 2005-10-26 08:06:59 UTC
Checking in openide/arch/arch-openide-datasystems.xml; 
/cvs/openide/arch/arch-openide-datasystems.xml,v  <--  
arch-openide-datasystems.xml 
new revision: 1.28; previous revision: 1.27 
done 
Checking in openide/loaders/manifest.mf; 
/cvs/openide/loaders/manifest.mf,v  <--  manifest.mf 
new revision: 1.25; previous revision: 1.24 
done 
Checking in openide/loaders/api/apichanges.xml; 
/cvs/openide/loaders/api/apichanges.xml,v  <--  apichanges.xml 
new revision: 1.19; previous revision: 1.18 
done 
Checking in openide/loaders/src/org/openide/loaders/DataLoaderPool.java; 
/cvs/openide/loaders/src/org/openide/loaders/DataLoaderPool.java,v  <--  
DataLoaderPool.java 
new revision: 1.22; previous revision: 1.21 
done 
Checking in openide/loaders/src/org/openide/loaders/XMLDataObject.java; 
/cvs/openide/loaders/src/org/openide/loaders/XMLDataObject.java,v  <--  
XMLDataObject.java 
new revision: 1.17; previous revision: 1.16 
done 
Checking in core/ui/src/org/netbeans/core/ui/resources/layer.xml; 
/cvs/core/ui/src/org/netbeans/core/ui/resources/layer.xml,v  <--  layer.xml 
new revision: 1.107; previous revision: 1.106 
 
Comment 3 pzajac 2005-11-01 13:49:40 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo